scan_netstring(3)

NAME
scan_netstring - parse a netstring

SYNTAX
#include <libowfat/scan.h> size_t scan_netstring(const char *in,size_t len,char** dest, size_t *slen);

DESCRIPTION
scan_netstring attempts to parse the netstring in the input buffer (in,len). If the buffer contains a valid netstring, then (*dest,*slen) is set to the start and length of the transported string. Note that this string is not zero terminated. No copy is made. scan_netstring points it inside the input buffer.

RETURN VALUE
scan_netstring returns the number of bytes in the netstring (the outer representation, not the transported inner string) if parsing worked, or 0 if the input buffer did not contain a valid (or full) netstring.

EXAMPLE
The raw memory buffer "foo" would become the netstring "3:foo,"

SPEC
http://cr.yp.to/proto/netstrings.txt

SEE ALSO
fmt_netstring(3)